Net::DNS::RR::SSHFP(3)

NAME
Net::DNS::RR::SSHFP - DNS SSHFP resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for Delegation signer (SSHFP) resource records.

METHODS
In addition to the regular methods

  algorithm
    print "algoritm" = ", $rr->algorithm, "\n";

Returns the RR's algorithm field in decimal representation

    1 = RSA
    2 = DSS

  fingerprint
    print "fingerprint" = ", $rr->fingerprint, "\n";

Returns the SHA1 fingerprint over the label and key in hexadecimal representation.

  fpbin
    $fpbin = $rr->fpbin;

Returns the fingerprint as binary material.

  fptype
   print "fingerprint type" . " = " . $rr->fptype ."\n";

Returns the fingerprint type of the SSHFP RR.

  babble
   print $rr->babble;

If Digest::BubbleBabble is available on the sytem this method returns the 'BabbleBubble' representation of the fingerprint. The 'BabbleBubble' string may be handy for telephone confirmation.

The 'BabbleBubble' string returned as a comment behind the RDATA when the string method is called.

The method returns an empty string if Digest::BubbleBable is not installed.

TODO

ACKNOWLEDGEMENT
Jakob Schlyter for code review and supplying patches.

COPYRIGHT
Copyright (c) 2004 RIPE NCC, Olaf Kolkman.

"All rights reserved, This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, draft-ietf-dnssext-delegation-signer